<template>
    <v-chart ref="echart" :options="chart_options" autoresize></v-chart>
</template>

<script>
import chart_colors from "../charts/chart_colors";
export default {
    name: "ActiveUsersChart",
    props: {
        total: Number,
        active: Number,
    },
    computed: {
        chart_data(){
            return [
                {
                    value: this.active || 50,
                    itemStyle: {
                        color: chart_colors.blue_gradient
                    }
                },
                {
                    value: this.total - this.active || 50,
                    itemStyle: {
                        color: '#ebebeb'
                    }
                }
            ];
        },
        activePercent(){
            return (this.active / this.total  * 100).toFixed(0);
        }
    },
    watch: {
        chart_data(data){
            this.chart_options.series[0].data = data;
        },
        activePercent(percent){
            this.chart_options.graphic.elements[0].style.text = percent + '%';
        },
    },
    data(){
        return {
            chart_options: {
                graphic: {
                    elements: [
                        {
                            type: 'text',
                            left: 'center',
                            top: 'middle',
                            z: 100,
                            style: {
                                text: '50%',
                                fill: '#c9c9c9',
                                font: 'bold 27px "Geometria"'
                            }
                        }
                    ]
                },
                series: [
                    {
                        name: 'chart',
                        type: 'pie',
                        top: 0,
                        left: 0,
                        width: 112,
                        height: 112,
                        hoverOffset: 0,
                        startAngle: 90,
                        clockwise: true,
                        radius: ['80%', '100%'],
                        center: ['50%', '50%'],
                        label: {
                            show: false,
                        },
                        data: this.chart_data || []
                    }
                ],
            }
        }
    },
    mounted() {
        this.chart_options.series[0].data = this.chart_data;
        this.chart_options.graphic.elements[0].style.text = this.activePercent + '%';
    }
}
</script>

<style scoped>
.echarts {
    width: 112px;
    height: 112px;
	margin: 0 auto;
}
</style>
